
/* DEFS: group RandRefLB: CentralLB{
void RandRefLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_RandRefLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_RandRefLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void RandRefLB(void);
*/
      __idx_RandRefLB_void = CkRegisterEp("RandRefLB", (CkCallFnPtr)_call_RandRefLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void RandRefLB(void);
 */
int CProxy_RandRefLB::__idx_RandRefLB_void=0;
CkGroupID CProxy_RandRefLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_RandRefLB_void, msg, 0, 0);
}
CkGroupID CProxy_RandRefLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_RandRefLB_void, msg);
}
  CProxy_RandRefLB::CProxy_RandRefLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RandRefLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_RandRefLB::CProxy_RandRefLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RandRefLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_RandRefLB::_call_RandRefLB_void(void* msg, RandRefLB* obj)
{
  new (obj) RandRefLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerRandRefLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group RandRefLB: CentralLB{
void RandRefLB(void);
};
*/
  CProxy_RandRefLB::__register("RandRefLB", sizeof(RandRefLB));

}
#endif
